=== debian/changelog ===
golang-github-spiffe-go-spiffe (2.1.7-2) unstable; urgency=medium

  * Team Upload
  * Upload to unstable
  * Regenerate protobuf and grpc schema using protoc-gen-go-1-3
    to match the grpc server implementation in unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Jun 2024 21:27:41 -0400

golang-github-spiffe-go-spiffe (2.1.7-1) experimental; urgency=medium

  * Initial release (Closes: #1060817)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Jan 2024 00:13:44 +0100
