=== debian/changelog ===
golang-github-spiffe-go-spiffe (2.4.0-1) unstable; urgency=medium

  * d/salsa-ci.yml: Build rdeps.  Tighten lintian/autopkgtest checks.
  * Run wrap-and-sort -satbk.
  * Use Standards-Version: 4.7.0.
  * Bump d/* copyright years.
  * New upstream version 2.4.0
  * Drop local patches (not needed for build).
  * Bump go-jose B-D from v3 to v4.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Jan 2025 14:26:44 +0100
