=== debian/control ===
Source: golang-github-spiffe-go-spiffe
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-go-jose-go-jose-dev,
 golang-github-stretchr-testify-dev,
 golang-github-zeebo-errs-dev,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 protoc-gen-go-1-3,
 protoc-gen-go-grpc,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spiffe-go-spiffe
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spiffe-go-spiffe.git
Homepage: https://github.com/spiffe/go-spiffe
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/spiffe/go-spiffe

Package: golang-github-spiffe-go-spiffe-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-go-jose-go-jose-dev,
 golang-github-stretchr-testify-dev,
 golang-github-zeebo-errs-dev,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: secure production identity framework for everyone in Go (library)
 SPIFFE, the Secure Production Identity Framework for Everyone, is a
 set of open-source standards for securely identifying software
 systems in dynamic and heterogeneous environments. Systems that adopt
 SPIFFE can easily and reliably mutually authenticate wherever they
 are running.
 .
 This library leverages the SPIFFE Workload API
 (https://github.com/spiffe/spiffe/blob/main/standards/SPIFFE_Workload_API.md),
 providing high level functionality that includes:
 .
  * Establishing mutually authenticated TLS (mTLS) between workloads
    powered by SPIFFE.
  * Obtaining and validating X509-SVIDs and JWT-SVIDs.
  * Federating trust between trust domains using SPIFFE bundles.
  * Bundle management.
 .
 See the Go Package (https://pkg.go.dev/github.com/spiffe/go-spiffe/v2)
 documentation for more information.
 .
 This package contains the library.
