=== debian/changelog ===
golang-github-spiffe-go-spiffe (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Standards-Version: 4.7.2.
  * Use dh-sequence-golang.
  * Re-enable tests that triggered crashes in earlier toolchains.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 08:36:44 +0200
