=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  golang-github-go-jose-go-jose-dev,
  golang-github-stretchr-testify-dev,
@@ -16,7 +16,7 @@
  golang-google-protobuf-dev,
  protoc-gen-go-1-3,
  protoc-gen-go-grpc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spiffe-go-spiffe
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spiffe-go-spiffe.git
 Homepage: https://github.com/spiffe/go-spiffe
