=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := v2/examples/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_configure:
	cp -v $(CURDIR)/v2/go.mod $(CURDIR)/go.mod
	cd v2/proto/spiffe/workload && \
	protoc --go-grpc_out=. --go-grpc_opt=paths=source_relative workload.proto && \
	protoc --go_out=. --go_opt=paths=source_relative workload.proto

execute_before_dh_auto_clean:
	rm -fv $(CURDIR)/go.mod
