## golang-github-spiffe-go-spiffe 2.6.0

=== debian/changelog ===
golang-github-spiffe-go-spiffe (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Run wrap-and-sort -satbk.
  * Modernize salsa-ci.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Drop v2/-related workarounds.
  * Drop golang-github-zeebo-errs-dev.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 07 Oct 2025 22:05:12 +0200

golang-github-spiffe-go-spiffe (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: force building against protobuf 1.5, closes: #1110160

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Jul 2025 09:48:55 -0400
