=== debian/control ===
--- 
+++ 
@@ -11,16 +11,14 @@
  golang-any,
  golang-github-go-jose-go-jose-dev,
  golang-github-stretchr-testify-dev,
- golang-github-zeebo-errs-dev,
  golang-google-grpc-dev,
  golang-google-protobuf-dev,
- protoc-gen-go-1-3,
+ protoc-gen-go-1-5,
  protoc-gen-go-grpc,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spiffe-go-spiffe
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spiffe-go-spiffe.git
 Homepage: https://github.com/spiffe/go-spiffe
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/spiffe/go-spiffe
 
 Package: golang-github-spiffe-go-spiffe-dev
@@ -28,10 +26,9 @@
 Multi-Arch: foreign
 Depends:
  golang-github-go-jose-go-jose-dev,
+ golang-github-golang-protobuf-1-5-dev,
  golang-github-stretchr-testify-dev,
- golang-github-zeebo-errs-dev,
  golang-google-grpc-dev,
- golang-google-protobuf-dev,
  ${misc:Depends},
 Description: secure production identity framework for everyone in Go (library)
  SPIFFE, the Secure Production Identity Framework for Everyone, is a
