=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_configure:
	cd proto/spiffe/workload && \
	protoc --go-grpc_out=. --go-grpc_opt=paths=source_relative workload.proto && \
	protoc --go_out=. --go_opt=paths=source_relative workload.proto
