=== debian/watch ===
Version: 5
Template: Github
Owner: spiffe
Project: go-spiffe
